Skip to main content
POST

NIC validations

  1. Eway bill should be active and valid.
  2. Valid reasonCode, state code and unitCode to be sent.
  3. totalQuantity should not be more than the quantity mentioned in eway bill for the first initiation
  4. After one group movement of consignment in multiple vehicles is initiated, requests for next group movement will consider the totalQuantity of previous group.
  5. If same JSON is passed without any change, new group will not be created.

Request body schema

View request body schema

Authorizations

authorization
string
header
required

E-Way Bill taxpayer access token returned by Authenticate.

x-api-key
string
header
required

Sandbox API key from your Sandbox account.

Headers

x-api-version
string
default:1.0.0

API version

x-source
enum<string>
default:primary

NIC server for the session used by this request. primary selects NIC1. secondary selects NIC2. Defaults to primary. See NIC1 and NIC2 routing.

Available options:
primary,
secondary
x-proxy
enum<string>

NIC server that receives the request. If omitted, the request goes to the server selected by x-source. When specified, selects the other server. See NIC1 and NIC2 routing.

Available options:
primary,
secondary

Path Parameters

ewb_no
string
required

Body

application/json

E-Way Bill schema.

ewbNo
number
required

The ewbNo value.

Example:

291010080003

fromPlace
string

The fromPlace value.

Example:

"BANGALORE"

fromState
number

The fromState value.

Example:

29

reasonCode
string
Example:

"1"

reasonRem
string

The reasonRem value.

Example:

"vehicle broke down"

toPlace
string

The toPlace value.

Example:

"Beml Nagar"

toState
number

The toState value.

Example:

24

totalQuantity
number

The totalQuantity value.

Example:

33

transMode
string

The transMode value.

See transport modes.

Example:

"1"

unitCode
string

The unitCode value.

See E-Way Bill units.

Example:

"NOS"

Response

200 - application/json

200 Multi-vehicle movement initiated / 645 Part B already updated / 381 Part B is not updated / 646 Consignee cannot initiate multi-vehicle movement

An E-Way Bill success or NIC business-failure response. Both variants use HTTP 200.

code
enum<integer>
required

NIC response code.

Available options:
200
timestamp
integer<int64>
required

Unix timestamp.

transaction_id
string
required

Request transaction identifier.

data
object
required